Loading...
Searching...
No Matches
Repository capabilities

## Macros

#define | SVN_REPOS_CAPABILITY_MERGEINFO "mergeinfo"
| The capability of doing the right thing with merge-tracking information, both storing it and responding to queries about it.

## Functions

svn_error_t * | svn_repos_has_capability (svn_repos_t *repos, svn_boolean_t *has, const char *capability, apr_pool_t *pool)
| Set *has to TRUE if repos has capability (one of the capabilities beginning with `"SVN_REPOS_CAPABILITY_"`), else set *has to FALSE.
svn_error_t * | svn_repos_capabilities (apr_hash_t **capabilities, svn_repos_t *repos, apr_pool_t *result_pool, apr_pool_t *scratch_pool)
| Return a set of capabilities supported by the running Subversion library and by repos.

## Detailed Description

## Macro Definition Documentation

## SVN_REPOS_CAPABILITY_MERGEINFO

#define SVN_REPOS_CAPABILITY_MERGEINFO "mergeinfo"

The capability of doing the right thing with merge-tracking information, both storing it and responding to queries about it.

Since
  New in 1.5.

Definition at line 605 of file svn_repos.h.

## Function Documentation

## svn_repos_capabilities()

svn_error_t * svn_repos_capabilities | ( | apr_hash_t ** | capabilities,
|  | svn_repos_t * | repos,
|  | apr_pool_t * | result_pool,
|  | apr_pool_t * | scratch_pool )

Return a set of capabilities supported by the running Subversion library and by repos.

(Capabilities supported by this version of Subversion but not by repos are not listed. This may happen when svn_repos_upgrade2() has not been called after a software upgrade.)

The set is represented as a hash whose const char * keys are the set members. The values are not defined.

Allocate capabilities in result_pool and use scratch_pool for temporary allocations.

See also
  svn_repos_info_format

Since
  New in 1.9.

## svn_repos_has_capability()

svn_error_t * svn_repos_has_capability | ( | svn_repos_t * | repos,
|  | svn_boolean_t * | has,
|  | const char * | capability,
|  | apr_pool_t * | pool )

Set *has to TRUE if repos has capability (one of the capabilities beginning with `"SVN_REPOS_CAPABILITY_"`), else set *has to FALSE.

If capability isn't recognized, throw SVN_ERR_UNKNOWN_CAPABILITY, with the effect on *has undefined.

Use pool for all allocation.

Since
  New in 1.5.